def lunar_addition(num1, num2):
    str_num1 = str(num1).zfill(max(len(num1), len(num2)))
    str_num2 = str(num2).zfill(max(len(num1), len(num2)))
    
    result = []
    for digit1, digit2 in zip(str_num1, str_num2):
        result.append(max(int(digit1), int(digit2)))
    
    return ''.join(map(str, result))

def lunar_multiplication(num1, num2):
    str_num1 = str(num1).zfill(max(len(num1), len(num2)))
    str_num2 = str(num2).zfill(max(len(num1), len(num2)))
    result = [0] * (len(str_num1) + len(str_num2))
    for i in range(len(str_num1)-1, -1, -1):
        for j in range(len(str_num2)-1, -1, -1):
            product = min(int(str_num1[i]), int(str_num2[j]))  
            result[i + j + 1] = max(result[i + j + 1], product)
    result_str = ''.join(map(str, result)).lstrip('0') or '0'
    return result_str
a = input().strip()
b = input().strip()
sum_result = lunar_addition(a, b)
product_result = lunar_multiplication(a, b)
print(sum_result, product_result)
