from collections import deque, defaultdict
n, m, k = map(int, input().split())
graph = defaultdict(list)
for _ in range(m):
    a, b = map(int, input().split())
    graph[a].append(b)
    graph[b].append(a)
guarded_warehouses = set()
def bfs(start, stamina):
    queue = deque([(start, 0)])
    visited = set([start])

    while queue:
        warehouse, distance = queue.popleft()
        if distance > stamina:
            continue
        guarded_warehouses.add(warehouse)
        for neighbor in graph[warehouse]:
            if neighbor not in visited:
                visited.add(neighbor)
                queue.append((neighbor, distance + 1))
for _ in range(k):
    p, h = map(int, input().split())
    bfs(p, h)
guarded_warehouses = sorted(guarded_warehouses)
print(len(guarded_warehouses))
print(' '.join(map(str, guarded_warehouses)))
