def find_path(a, b):
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0

    path = []

    while True:
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        if mid_numerator * b < a * mid_denominator:
            path.append('R')
            left_numerator = mid_numerator
            left_denominator = mid_denominator
        elif mid_numerator * b > a * mid_denominator:
            path.append('L')
            right_numerator = mid_numerator
            right_denominator = mid_denominator
        else:
            return ''.join(path)
        if left_denominator + right_denominator > 10**6 or left_numerator + right_numerator > 10**6:
            return "no"
a, b = map(int, input().strip().split())
result = find_path(a, b)
print('R'+result)
