def lunar_arithmetic(a, b):
    # Обеспечиваем, что a и b имеют одинаковую длину, добавляя ведущие нули
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    # Вычисляем сумму и произведение в лунной арифметике
    lunar_sum = []
    lunar_product = []

    for digit_a, digit_b in zip(a, b):
        lunar_sum.append(max(digit_a, digit_b))  # Сумма - максимум
        lunar_product.append(min(digit_a, digit_b))  # Произведение - минимум

    # Преобразуем списки в строки
    return ''.join(lunar_sum), ''.join(lunar_product)

# Чтение входных данных
a = input().strip()
b = input().strip()

# Получаем результаты
lunar_sum, lunar_product = lunar_arithmetic(a, b)

# Выводим результаты
print(lunar_sum)
print(lunar_product * lunar_sum)

