def lunar_arithmetic(a, b):
    # Приводим числа к строковому виду для удобной обработки
    a_str = str(a)
    b_str = str(b)

    # Уравниваем длину строк, добавляя нули в начало меньшего числа
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    lunar_sum = ""
    
    # Сложение в лунной арифметике (без переноса)
    for digit_a, digit_b in zip(a_str, b_str):
        lunar_sum += str(int(digit_a) + int(digit_b))

    # Умножение в лунной арифметике (конкатенация)
    lunar_product = a_str + b_str

    return lunar_sum, lunar_product

# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление лунной суммы и произведения
result_sum, result_product = lunar_arithmetic(a, b)

# Вывод результата
print(result_sum, result_product)
